### Name: compClust
### Title: Compare different partitions for a data set
### Aliases: compClust
### Keywords: cluster

### ** Examples


  # ruspini data
  data(Ruspini)
  # data matrix
  ruspini <- Ruspini$ruspini
  ruspini.mem <- Ruspini$ruspini.mem
    
  res.CH <- clues(ruspini, strengthMethod = "CH", quiet = TRUE)
  res.sil <- clues(ruspini, strengthMethod = "sil", quiet = TRUE)
  res.km.HW <- kmeans(ruspini, 4, algorithm = "Hartigan-Wong")
  res.km.L <- kmeans(ruspini, 4, algorithm = "Lloyd")
  res.km.F <- kmeans(ruspini, 4, algorithm = "Forgy")
  res.km.M <- kmeans(ruspini, 4, algorithm = "MacQueen")

  memMat <- cbind(ruspini.mem, res.CH$mem, res.sil$mem, res.km.HW$cluster,
    res.km.L$cluster, res.km.F$cluster, res.km.M$cluster) 

  colnames(memMat) <- c("true", "clues.CH", "clues.sil", "km.HW", "km.L", "km.F",
    "km.M")

  res <- compClust(ruspini, memMat)
  round(res$avg.s, 1)
  round(res$CH, 1)
  round(res$Rand, 1)
  round(res$HA, 1)
  round(res$MA, 1)
  round(res$FM, 1)
  round(res$Jaccard, 1)




